Summary: Tools for reading Macintosh HFS+ volumes
Name: hfsplusutils
Version: 1.0.4
Release: 25%{?dist}

License: GPLv2+
Group: Applications/File
URL: ftp://ftp.penguinppc.org/users/hasi/hfsplus_1.0.4.src.tar.bz2
Source0: ftp://ftp.penguinppc.org/users/hasi/hfsplus_%{version}.src.tar.bz2
Patch0: hfsplusutils-1.0.4-nullisnotachar.patch
Patch1: hfsplusutils-1.0.4-errno.patch
Patch2: hfsplusutils-1.0.4-includes.patch
Patch3: hfsplusutils-1.0.4-gcc4.patch
Patch4: hfsplusutils-1.0.4-memset.patch
BuildRequires: automake, autoconf, libtool
%description
This package is a set of tools that allow access to HFS+ formatted
volumes. HFS+ is a modernized version of Apple Computers HFS
Filesystem.

%prep
%setup -q -n hfsplus-1.0.4

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

sed -i -e 's/^CFLAGS\s/AM_CFLAGS /' {libhfsp/src,src}/Makefile.am

# Oh autocrap how we hate thee
autoreconf -i

%build
# FIXME: Package suffers from c11/inline issues
# Workaround by appending -std=gnu89 to CFLAGS
# Proper fix would be to fix the source-code
%configure --disable-shared --disable-dependency-tracking CFLAGS="${RPM_OPT_FLAGS} -std=gnu89"
make %{?_smp_mflags}

%install
make DESTDIR=$RPM_BUILD_ROOT SUBDIRS=src install
ln -sf hpfsck $RPM_BUILD_ROOT/%{_bindir}/fsck.hfsplus
# Remove zero-length doc file
rm -f mail/extents.diff
mkdir -p $RPM_BUILD_ROOT/%{_mandir}/man1
gzip -c < doc/man/hfsp.man > $RPM_BUILD_ROOT/%{_mandir}/man1/hfsp.1.gz
for a in hpcd hpcopy hpfsck hpls hpmkdir hpmount hppwd hprm hpumount fsck.hfsplus ; do
	ln -sf hfsp.1.gz $RPM_BUILD_ROOT/%{_mandir}/man1/$a.1.gz
done

%files
%{_bindir}/hpcd
%{_bindir}/hpcopy
%{_bindir}/hpfsck
%{_bindir}/fsck.hfsplus
%{_bindir}/hpls
%{_bindir}/hpmkdir
%{_bindir}/hpmount
%{_bindir}/hppwd
%{_bindir}/hprm
%{_bindir}/hpumount
%{_mandir}/man1/*
%doc doc/*.html
%doc mail
%doc AUTHORS NEWS README


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.4-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Mon Jul 06 2015 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.0.4-23
- Append -stdc=gnu89 to CFLAGS (Work-around to c11/inline compatibility
  issues. Fix F23FTBFS RHBZ#1239560).
- Extend hfsplusutils-1.0.4-memset.patch.
- Modernize spec.

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.0.4-12
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 David Woodhouse <dwmw2@infradead.org> 1.0.4-11
- Update licence

* Wed Aug 22 2007 David Woodhouse <dwmw2@infradead.org> 1.0.4-10
- Fix memset argument ordering confusion
 
* Sun Jul 29 2007 Ville Skyttä <ville.skytta at iki.fi>  1.0.4-9
- Use autoreconf, configure with dependency tracking disabled,
  build with $RPM_OPT_FLAGS and use parallel build (#227573).

* Mon Sep 11 2006 David Woodhouse <dwmw2@infradead.org> 1.0.4-8
- Deal with autocrap and libtool breakage

* Mon Sep 11 2006 David Woodhouse <dwmw2@infradead.org> 1.0.4-7
- Rebuild

* Tue Mar  7 2006 David Woodhouse <dwmw2@infradead.org> 1.0.4-6
- Rebuild

* Sat Apr 30 2005 David Woodhouse <dwmw2@infradead.org> 1.0.4-5
- Fix pointer abuse which GCC 4 doesn't like. Yes, the workaround
  is ugly as sin, but it is at least valid C. Apart from the bit 
  about arithmetic on void *, but GCC is happy with that :)

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Tue Feb 22 2005 David Woodhouse <dwmw2@infradead.org> 1.0.4-3
- Include man page
- Remove zero-length diff file in documentation
- BuildRequires for all the auto* mess

* Mon Feb 21 2005 David Woodhouse <dwmw2@infradead.org> 1.0.4-2
- Include fsck.hfsplus symlink
- Fix kernel header inclusion

* Sun Apr 11 2004 David Woodhouse <dwmw2@redhat.com> 1.0.4-1
- Initial build.

